Rule Sets - List Resource Usage
Checks the quota and actual usage of endpoints under the given Azure Front Door profile..
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Cdn/profiles/{profileName}/ruleSets/{ruleSetName}/usages?api-version=2025-04-15
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
profile
|
path | True |
string minLength: 1maxLength: 260 pattern: ^[a-zA-Z0-9]+(-*[a-zA-Z0-9])*$ |
Name of the Azure Front Door Standard or Azure Front Door Premium which is unique within the resource group. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 pattern: ^[-\w\._\(\)]+$ |
Name of the Resource group within the Azure subscription. |
|
rule
|
path | True |
string |
Name of the rule set under the profile which is unique globally. |
|
subscription
|
path | True |
string |
Azure Subscription ID. |
|
api-version
|
query | True |
string |
Version of the API to be used with the client request. Current version is 2025-04-15. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK. The request has succeeded. |
|
| Other Status Codes |
Azure Front Door error response describing why the operation failed. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
RuleSets_ListResourceUsage
Sample request
POST https://management.azure.com/subscriptions/subid/resourceGroups/RG/providers/Microsoft.Cdn/profiles/profile1/ruleSets/ruleSet1/usages?api-version=2025-04-15
Sample response
{
"value": [
{
"unit": "Count",
"currentValue": 0,
"limit": 25,
"id": "/subscriptions/subid/resourcegroups/RG/providers/Microsoft.Cdn/profiles/profile1/rulesets/ruleSet1/rules/rule1",
"name": {
"value": "rule",
"localizedValue": "rule"
}
}
]
}
Definitions
| Name | Description |
|---|---|
|
Afd |
Error response |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
| Usage |
Describes resource usage. |
|
Usage |
The usage names. |
|
Usages |
The list usages operation response. |
|
Usage |
An enum describing the unit of measurement. |
AfdErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
Usage
Describes resource usage.
| Name | Type | Description |
|---|---|---|
| currentValue |
integer (int64) |
The current value of the usage. |
| id |
string |
Resource identifier. |
| limit |
integer (int64) |
The limit of usage. |
| name |
The name of the type of usage. |
|
| unit |
An enum describing the unit of measurement. |
UsageName
The usage names.
| Name | Type | Description |
|---|---|---|
| localizedValue |
string |
A localized string describing the resource name. |
| value |
string |
A string describing the resource name. |
UsagesListResult
The list usages operation response.
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
URL to get the next set of results. |
| value |
Usage[] |
The list of resource usages. |
UsageUnit
An enum describing the unit of measurement.
| Value | Description |
|---|---|
| Count |